datacache <- new.env(hash=TRUE, parent=emptyenv())

org.Ce.eg <- function() showQCData("org.Ce.eg", datacache)
org.Ce.eg_dbconn <- function() dbconn(datacache)
org.Ce.eg_dbfile <- function() dbfile(datacache)
org.Ce.eg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
org.Ce.eg_dbInfo <- function() dbInfo(datacache)

org.Ce.egORGANISM <- "Caenorhabditis elegans"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "org.Ce.eg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.WORM_DB("org.Ce.eg", "Worm", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(org.Ce.eg_dbconn())
}

